WordPress 3.8 „Parker” już dostępny

WordPress 3.8

Niespełna dwa miesiące zajęło ekipie odpowiedzialnej za rozwój WordPressa przygotowanie nowej edycji tego CMSa. W wersji 3.8, nazwanej „Parker” (na cześć Charliego Parkera, amerykańskiego saksofonisty jazzowego), główny nacisk położono na modyfikacje panelu administracyjnego.

Jego nowy wygląd mogliśmy od dłuższego czasu testować dzięki wtyczce MP6 – teraz możemy usunąć te rozszerzenie, ponieważ jego kod został włączony do WordPressa. Podobną drogę (od wtyczki do rdzenia WordPressa) przeszły nowe interfejsy zarządzania motywami i widgetami oraz odświeżony kokpit. Wygląda na to, że ten sposób rozwijania i wprowadzania nowych funkcji (nazwany Features as plugins) sprawdził się i będzie wykorzystywany w przyszłości.

Nowy wygląd panelu administracyjnego

WordPress 3.8 - koloryO odświeżonym wyglądzie panelu administracyjnego pisałem na WPzen kilka razy, tak więc nie będę się powtarzał. Wspomnę tylko, że zmieniona została jego kolorystyka (do wyboru mamy osiem motywów kolorystycznych) i typografia, a cały interfejs został „spłaszczony” (zgodnie z aktualnie obowiązującymi trendami) i pozbawiony gradientów i cieni. Wprowadzono również wektorowe ikony (Dashicons), które są mniejsze (ładują się szybciej) oraz ładnie się skalują. Wszystkie elementy panelu zostały dopracowane, co jest z pewnością zasługą stosunkowo długiego czasu poświęconego na rozwój i testy – wtyczka MP6 powstała w marcu, tak więc kolejne jej iteracje pojawiały się przez ponad pół roku.

Warto dodać, że nowy panel administracyjny znacznie lepiej prezentuje się i działa na urządzeniach mobilnych.

Mimo tak dużej ilości czasu, jaką mieli twórcy wtyczek na dostosowanie interfejsu swoich rozszerzeń do nowego wyglądu panelu, wciąż wiele z nich nie zostało uaktualnionych. Nie ma jednak powodów do paniki. Wtyczki będą działać – co najwyżej mogą pojawić się drobne problemy z wyświetlaniem niektórych ich elementów w panelu administracyjnym.

Odświeżony kokpit

Kokpit, czyli strona główna panelu administracyjnego WordPressa, już od dawna wymagał modernizacji. W wersji 3.8 przeszedł on drobny facelifting, który zdecydowanie wyszedł mu na dobre. Dodatkowo przebudowano kilka z domyślnych widgetów, a także usunięto (i tak niedziałający) widget „Odnośniki do witryny”, wyświetlający linki prowadzące do naszej strony.

Nowy interfejs zarządzania motywami

WordPress 3.8 - motywyEkran zarządzania motywami wyświetla teraz znacznie większe miniatury zainstalowanych szablonów. Dodano również nowe okienko ze szczegółowymi informacjami o wybranym motywie. Zmiany nie są może rewolucyjne, ale to na pewno krok w dobrym kierunku.

Przebudowane zarządzanie widgetami

WordPress 3.8 - widgety

Podobnie jak kokpit, tak i ekran zarządzania widgetami od dawna wymagał gruntownej przebudowy. W wersji 3.8 został on odświeżony, dzięki czemu jest znacznie łatwiejszy w obsłudze, szczególnie przy większej ilości paneli bocznych i dostępnych widgetów. Od teraz widgety możemy dodawać zarówno przeciągając je do odpowiednich paneli, jak i wybierając panel, do którego mają zostać dodane.

Nowy motyw domyślny Twenty Fourteen

WordPress 3.8 - Twenty Fourteen

Na WPzen dwukrotnie pisałem już o nowym szablonie domyślnym Twenty Fourteen, który różni się zdecydowanie od swoich poprzedników. Przede wszystkim jest to szablon o budowie magazynowej, podczas gdy poprzednie domyślne motywy posiadały typowo blogową strukturę (co nie oznacza, że nie nadawały się do niczego innego). Nie umiem sobie jednak wyobrazić zwykłego, prostego bloga stworzonego w oparciu o ten szablon – jest on po prostu zbyt rozbudowany.

Tradycyjnie w nowej wersji WordPressa wprowadzono również kilka zmian przeznaczonych dla twórców szablonów i wtyczek, poprawiono kilkanaście błędów oraz uaktualniono niektóre z dołączonych bibliotek.

Więcej informacji na temat WordPressa 3.8 można znaleźć na oficjalnym blogu oraz w dokumentacji.

Bezpośredni link

  • Zapowiada się świetnie :)

  • Czy mając WP 3.7PL mogę go bezboleśnie zaktualizować do 3.8ENG, a potem powrócić do polskiej wersji?

    • Tak, możesz. Gdy polskie tłumaczenie trafi do oficjalnej dystrybucji, pojawi się informacja o dostępnej aktualizacji.

  • feamoignargfaionakfj9ajfopamjv

    Macie pomysł dlaczego nie działa u mnie przeciąganie widgetów? Jest jakiś prosty sposób na znalezienie przyczyny? Tak wyglądają:

    • Stawiam na błąd w którymś ze skryptów JavaScript. Co mówi konsola przeglądarki?

      • feamoignargfaionakfj9ajfopamjv

        „Metoda getPreventDefault() jest przestarzała. Należy używać defaultPrevented.” w load-scripts.php?c=0&load[]=hoverIntent,common,admin-bar,svg-painter,heartbeat,wp-auth-check,jquery-ui-core,jquery-ui-widget,jquery-ui-mouse,jquery-ui-dragg&load[]=able,jquery-ui-slider,jquery-touch-punch,iris,wp-color-picker,jquery-ui-position,wp-pointer&ver=3.8

        Ale taki sam błąd występuje też na innej stronie, na której wszystko działa. Na obu są te same pluginy i szablon, dlatego nie wiem gdzie szukać przyczyny :/